Page MenuHomePhabricator

Take the changetags right away from "normal users" and grant it to admins only at Wikimedia Commons
Closed, ResolvedPublic

Description

Per community consensus at Wikimedia Commons.

The decision is solely because there is currently no tag that is relevant to anyone and that we do not generally want to disallow everyone to change tags.

Event Timeline

Rillke created this task.May 2 2016, 8:36 PM
Restricted Application added subscribers: Zppix, Poyekhali, JEumerus and 3 others. · View Herald TranscriptMay 2 2016, 8:36 PM

Change 286522 had a related patch set uploaded (by Rillke):
Commons: Restrict changetags userright

https://gerrit.wikimedia.org/r/286522

Aklapper renamed this task from Take the chagetags right away from "normal users" and grant it to admins only at Wikimedia Commons to Take the changetags right away from "normal users" and grant it to admins only at Wikimedia Commons.May 3 2016, 8:28 AM
Aklapper triaged this task as Medium priority.
Luke081515 moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.
Luke081515 added a subscriber: Luke081515.

I have time, so going to deploy your patch today.

Restricted Application added a project: User-Luke081515. · View Herald TranscriptMay 5 2016, 2:48 PM
Luke081515 moved this task from Backlog to Needs SWAT on the User-Luke081515 board.May 5 2016, 2:51 PM

Change 286522 merged by jenkins-bot:
Commons: Restrict changetags userright

https://gerrit.wikimedia.org/r/286522

Luke081515 closed this task as Resolved.May 5 2016, 3:06 PM
Luke081515 moved this task from To deploy to Done on the Wikimedia-Site-requests board.

Deployed and checked: Works.

Rillke added a comment.May 5 2016, 7:48 PM

I have time, so going to deploy your patch today.

Huh, looking at Gerrit, and the server logs anomie did so. Do you, as a volunteer have access to wmf production servers?

Krenair added a subscriber: Krenair.May 5 2016, 9:10 PM

@Luke081515 put it up for SWAT in his name and a deployer (anomie) did the actual deployment. @Luke081515 is not one of the volunteer deployers.